package sae.android.sae_2a.data

import androidx.annotation.StringRes
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.AccountBox
import androidx.compose.material.icons.filled.Home
import androidx.compose.material.icons.filled.Menu
import androidx.compose.ui.graphics.vector.ImageVector
import sae.android.sae_2a.R

sealed class Screen(val route: String, @StringRes val resourceId: Int, val image: ImageVector) {
    object Profile : Screen("profile", R.string.profilePicture, Icons.Filled.AccountBox )
    object Home : Screen("profileScreen", R.string.home, Icons.Filled.Home )
    object VocabularyList : Screen("VocabularyListScreen", R.string.voc_image_description,  Icons.Filled.Menu)
    object Game : Screen("GameScreen", R.string.game ,Icons.Filled.Home)
    object Register : Screen("RegisterScreen", R.string.register,Icons.Filled.Home )
    object Login : Screen("LoginScreen", R.string.logIn , Icons.Filled.Home)





}