package sae.android.sae_2a.service

import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.DELETE
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.PUT
import retrofit2.http.Path
import retrofit2.http.Query
import sae.android.sae_2a.data.Vocabulary


interface UserService {

    @GET("Vocabulary")
    suspend fun getVocabulary(@Body index : Int, @Body count: Int) : Response<MutableList<Vocabulary>>

    @GET("Vocabulary/{word}")
    suspend fun getVocByWord(@Path("word") word : String) : Response<Vocabulary>

    @PUT("Vocabulary/{vocabulary}")
    suspend fun updateVoc(@Path("vocabulary") vocabulary: Vocabulary) : Response<Vocabulary>

    @DELETE("Vocabulary/{word}")
    suspend fun deleteVoc(@Path("word") word: String) : Response<Vocabulary>

    @POST("Vocabulary/{vocabulary}")
    suspend fun addVoc(@Path("vocabulary") vocabulary: Vocabulary) : Response<Vocabulary>

    @GET("Vocabulary/langue/{langue}")
    suspend fun getByLangue(@Path("langue") langue : String,@Body index : Int, @Body count : Int) : Response<Vocabulary>

    @POST("Vocabulary/AddTranslation")
    suspend fun addTranslation(@Query("vocId") vocId : String,@Query("translationId") translationId : Long ) : Response<Vocabulary>

}